<mat-card>
  <mat-card-title>Login</mat-card-title>
  <mat-card-content>
    <form [formGroup]="form" (ngSubmit)="submit()">
      <p class="login-input">
        <mat-form-field appearance="outline">
          <mat-label>Login</mat-label>
          <input autocomplete="off" type="text" matInput placeholder="Username or email" formControlName="email">
          <mat-icon matSuffix>person</mat-icon>
          <mat-error *ngIf="form.controls['email'].hasError('required')">
            Eamil is <strong>required</strong>
          </mat-error>
          <mat-error *ngIf="form.controls['email'].hasError('email')">
            Please enter a valid email
          </mat-error>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field appearance="outline">
          <mat-label>Password</mat-label>
          <input type="password" matInput placeholder="Password" formControlName="password">
          <mat-icon matSuffix>vpn_key</mat-icon>
          <mat-error *ngIf="form.controls['password'].hasError('required')">
            Password is required
          </mat-error>
        </mat-form-field>
      </p>
      <p *ngIf="error" class="error">
        {{ error }}
      </p>
      <div class="button">
        <button mat-button [routerLink]="['/sign-in']">Sign In</button>
        <button mat-raised-button color="accent ">Log in</button>
      </div>
    </form>
  </mat-card-content>
</mat-card>
